spring:
  application:
    name: identity-api
  jpa:
    hibernate:
      ddl-auto: none
    show-sql: true
    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
    properties:
      hibernate:
        enable_lazy_load_no_trans: true
  profiles:
    active: test-ws
  main:
    allow-bean-definition-overriding: true
  #Redis服务器地址


#dubbo
dubbo:
  application:
    name: dubbo-identity-api
  registry:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos
  protocol:
    name: dubbo
    port: -1
    token: false
  config-center:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos

logging:
  level:
    root: error
  config: classpath:log4j2.xml